QSqlSelectCursor(3qt)

NAME
QSqlSelectCursor - Browsing of general SQL SELECT statements

SYNOPSIS
#include <qsqlselectcursor.h>

Inherits QSqlCursor.

  Public Members
QSqlSelectCursor ( const QString & query = QString::null, QSqlDatabase * db = 0 )
QSqlSelectCursor ( const QSqlSelectCursor & other )
~QSqlSelectCursor ()

DESCRIPTION
The QSqlSelectCursor class provides browsing of general SQL SELECT statements.

QSqlSelectCursor is a convenience class that makes it possible to display result sets from general SQL SELECT statements in data-aware Qt widgets. QSqlSelectCursor is read-only and does not support INSERT, UPDATE or DELETE operations.

Pass the query in at construction time, or use the QSqlSelectCursor::exec() function.

Example:

    ...
    QSqlSelectCursor* cur = new QSqlSelectCursor( "SELECT id, firstname, lastname FROM author" );
    QDataTable* table = new QDataTable( this );
    table->setSqlCursor( cur, TRUE, TRUE );
    table->refresh();
    ...
    cur->exec( "SELECT * FROM books" );
    table->refresh();
    ...

See also Database Classes.

MEMBER FUNCTION DOCUMENTATION

QSqlSelectCursor::QSqlSelectCursor ( const QString & query = QString::null, QSqlDatabase * db = 0 )
Constructs a read only cursor on database db using the query query.

QSqlSelectCursor::QSqlSelectCursor ( const QSqlSelectCursor & other )
Constructs a copy of other

QSqlSelectCursor::~QSqlSelectCursor ()
Destroys the object and frees any allocated resources

SEE ALSO
http://doc.trolltech.com/qsqlselectcursor.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsqlselectcursor.3) and the Qt version (3.3.7).